=== Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.7

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list


# Suppress display of executed commands.
$(VERBOSE).SILENT:


# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip

.PHONY : install/strip/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local

.PHONY : install/local/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	/usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package

.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	/usr/bin/cpack --config ./CPackSourceConfig.cmake /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source

.PHONY : package_source/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5/CMakeFiles /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5/CMakeFiles/progress.marks
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/remonsijrier/Development/Traverso/stable/traverso-0.49.5/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named uninstall

# Build rule for target.
uninstall: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 uninstall
.PHONY : uninstall

# fast build rule for target.
uninstall/fast:
	$(MAKE) -f CMakeFiles/uninstall.dir/build.make CMakeFiles/uninstall.dir/build
.PHONY : uninstall/fast

#=============================================================================
# Target rules for targets named traversoaudiobackend

# Build rule for target.
traversoaudiobackend: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 traversoaudiobackend
.PHONY : traversoaudiobackend

# fast build rule for target.
traversoaudiobackend/fast:
	$(MAKE) -f src/engine/CMakeFiles/traversoaudiobackend.dir/build.make src/engine/CMakeFiles/traversoaudiobackend.dir/build
.PHONY : traversoaudiobackend/fast

#=============================================================================
# Target rules for targets named traversoaudiobackend_automoc

# Build rule for target.
traversoaudiobackend_automoc: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 traversoaudiobackend_automoc
.PHONY : traversoaudiobackend_automoc

# fast build rule for target.
traversoaudiobackend_automoc/fast:
	$(MAKE) -f src/engine/CMakeFiles/traversoaudiobackend_automoc.dir/build.make src/engine/CMakeFiles/traversoaudiobackend_automoc.dir/build
.PHONY : traversoaudiobackend_automoc/fast

#=============================================================================
# Target rules for targets named traversoaudiofileio

# Build rule for target.
traversoaudiofileio: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 traversoaudiofileio
.PHONY : traversoaudiofileio

# fast build rule for target.
traversoaudiofileio/fast:
	$(MAKE) -f src/audiofileio/CMakeFiles/traversoaudiofileio.dir/build.make src/audiofileio/CMakeFiles/traversoaudiofileio.dir/build
.PHONY : traversoaudiofileio/fast

#=============================================================================
# Target rules for targets named traversoaudiofileio_automoc

# Build rule for target.
traversoaudiofileio_automoc: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 traversoaudiofileio_automoc
.PHONY : traversoaudiofileio_automoc

# fast build rule for target.
traversoaudiofileio_automoc/fast:
	$(MAKE) -f src/audiofileio/CMakeFiles/traversoaudiofileio_automoc.dir/build.make src/audiofileio/CMakeFiles/traversoaudiofileio_automoc.dir/build
.PHONY : traversoaudiofileio_automoc/fast

#=============================================================================
# Target rules for targets named traversocommands

# Build rule for target.
traversocommands: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 traversocommands
.PHONY : traversocommands

# fast build rule for target.
traversocommands/fast:
	$(MAKE) -f src/commands/CMakeFiles/traversocommands.dir/build.make src/commands/CMakeFiles/traversocommands.dir/build
.PHONY : traversocommands/fast

#=============================================================================
# Target rules for targets named traversocommands_automoc

# Build rule for target.
traversocommands_automoc: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 traversocommands_automoc
.PHONY : traversocommands_automoc

# fast build rule for target.
traversocommands_automoc/fast:
	$(MAKE) -f src/commands/CMakeFiles/traversocommands_automoc.dir/build.make src/commands/CMakeFiles/traversocommands_automoc.dir/build
.PHONY : traversocommands_automoc/fast

#=============================================================================
# Target rules for targets named tcp_traversocommands

# Build rule for target.
tcp_traversocommands: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 tcp_traversocommands
.PHONY : tcp_traversocommands

# fast build rule for target.
tcp_traversocommands/fast:
	$(MAKE) -f src/commands/plugins/TraversoCommands/CMakeFiles/tcp_traversocommands.dir/build.make src/commands/plugins/TraversoCommands/CMakeFiles/tcp_traversocommands.dir/build
.PHONY : tcp_traversocommands/fast

#=============================================================================
# Target rules for targets named tcp_traversocommands_automoc

# Build rule for target.
tcp_traversocommands_automoc: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 tcp_traversocommands_automoc
.PHONY : tcp_traversocommands_automoc

# fast build rule for target.
tcp_traversocommands_automoc/fast:
	$(MAKE) -f src/commands/plugins/TraversoCommands/CMakeFiles/tcp_traversocommands_automoc.dir/build.make src/commands/plugins/TraversoCommands/CMakeFiles/tcp_traversocommands_automoc.dir/build
.PHONY : tcp_traversocommands_automoc/fast

#=============================================================================
# Target rules for targets named traversocore

# Build rule for target.
traversocore: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 traversocore
.PHONY : traversocore

# fast build rule for target.
traversocore/fast:
	$(MAKE) -f src/core/CMakeFiles/traversocore.dir/build.make src/core/CMakeFiles/traversocore.dir/build
.PHONY : traversocore/fast

#=============================================================================
# Target rules for targets named traversocore_automoc

# Build rule for target.
traversocore_automoc: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 traversocore_automoc
.PHONY : traversocore_automoc

# fast build rule for target.
traversocore_automoc/fast:
	$(MAKE) -f src/core/CMakeFiles/traversocore_automoc.dir/build.make src/core/CMakeFiles/traversocore_automoc.dir/build
.PHONY : traversocore_automoc/fast

#=============================================================================
# Target rules for targets named traversoplugins

# Build rule for target.
traversoplugins: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 traversoplugins
.PHONY : traversoplugins

# fast build rule for target.
traversoplugins/fast:
	$(MAKE) -f src/plugins/CMakeFiles/traversoplugins.dir/build.make src/plugins/CMakeFiles/traversoplugins.dir/build
.PHONY : traversoplugins/fast

#=============================================================================
# Target rules for targets named traversoplugins_automoc

# Build rule for target.
traversoplugins_automoc: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 traversoplugins_automoc
.PHONY : traversoplugins_automoc

# fast build rule for target.
traversoplugins_automoc/fast:
