=== debian/changelog ===
traverso (0.49.5-2) unstable; urgency=medium

  * Team upload.
  * Drop me from uploaders.
  * Bump debhelper version to 4.1.3.
  * Bump standards version to 11.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sat, 10 Feb 2018 19:38:25 +0100

traverso (0.49.5-1) unstable; urgency=medium

  * New upstream version 0.49.5
  * Set compat/dh 10.
  * Bump Standards.
  * Update Vcs to use git instead of cgit.
  * Introduce postclone.sh script to ignore .pc/ dir.
  * Remove patch not applying anymore.
  * Switch to QT5. (Closes: #875209)
  * Update copyright file.
  * Fix copyright file.
  * Add more spelling to spelling patch.
  * Add patch to fix passing flags.
  * Patches forwarded.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 11 Oct 2017 15:31:38 +0200
