=== debian/control ===
Source: traverso
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 cmake,
 debhelper (>= 11~),
 libasound2-dev [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386],
 libfftw3-dev,
 libflac++-dev,
 libjack-dev,
 libmad0-dev,
 libmp3lame-dev,
 libogg-dev,
 qtbase5-dev,
 qttools5-dev-tools,
 librdf0-dev,
 libsamplerate0-dev,
 liblilv-dev,
 libsndfile1-dev,
 libvorbis-dev,
 libwavpack-dev
Standards-Version: 4.1.3
Homepage: http://traverso-daw.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/traverso.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/traverso.git

Package: traverso
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Multitrack audio recorder and editor
 This is a free, cross platform multitrack audio recording and editing
 suite, with an innovative and easy to master user interface. It is suited
 for both the professional and home user, who needs a robust and solid DAW.
